# Generated from ffetch-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ffetch

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Ffetch is a Graphical user interface which allows search for files based on regex pattern of their names
License: MIT
URL: http://sabryfattah.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
The Gui searches a default directory you specify in the data.rb file. The menu
allows you to choose any directory on the system which will be searched for a
match. Once a list of fetched files is displayed in the text window, you can
open any one of these files by selecting it (clicked) and then double clicking
the selection. The file will be opened in the associated editor such as
Windows Notepad.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ffetch.rb
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.2-1
- Initial package
